List Call Logs
curl --request GET \
--url https://api.example.com/api/v1/call-logsimport requests
url = "https://api.example.com/api/v1/call-logs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/api/v1/call-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"call_logs": [
{
"id": "<string>",
"to": "<string>",
"from_": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"call_length": "<string>",
"call_ended_reason": "<string>",
"call_categorization": {},
"agent_data": {},
"campaign_target_id": "<string>",
"post_call_data": {},
"qa": {},
"transcripts": [
{}
]
}
],
"page_count": 123,
"next_page": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Call Logs
List Call Logs
List all call logs for the organization with pagination and date filtering.
GET
/
api
/
v1
/
call-logs
List Call Logs
Query Parameters
The page number to get.
The number of call logs per page.
Filter logs from this date.
Filter logs until this date.
Filter logs by campaign ID.
⌘I